# Endpoints

> **📦 Add-on Required**
>
> Expected Goals (xG) data requires either the **xG Basic** or **xG Advanced** add-on.
>
> * **xG Basic Add-on:** Access to all xG statistics immediately after match completion (€19-€99 depending on your base plan)
> * **xG Advanced Add-on:** Real-time xG statistics during live matches plus all post-match data (€199-€399 depending on your base plan)
>
> Available with all base plans (Starter, Growth, Pro, Enterprise).\
> [View pricing and add-ons →](https://www.sportmonks.com/football-api/plans-pricing)

Retrieve all the expected data you want, from xG to xPTS, you can request them all through our expected endpoints.&#x20;

Use one of our 2 expected endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET Expected by Team:** returns all the expected data that are available within your subscription on team level.&#x20;
* **GET Expected by Player:** returns all the expected data that are available within your subscription on player level.&#x20;

For the expected endpoints this is the base URL:

```
https://api.sportmonks.com/v3/football/expected/
```

Per endpoint the rest of the URL requires additional information. We will explain this per endpoint.

## Requesting Expected values

### GET Expected by Team

This endpoint will return all the expected values we offer on a team level. This response will differ based on your plan.&#x20;

```
https://api.sportmonks.com/v3/football/expected/fixtures
```

<details>

<summary>Response</summary>

```
{
  "data": [
    {
      "id": 26898369,
      "fixture_id": 18898173,
      "type_id": 5304,
      "participant_id": 10010,
      "data": {
        "value": 1.0674
      },
      "location": "home"
    },
    {
      "id": 26898370,
      "fixture_id": 18898173,
      "type_id": 5304,
      "participant_id": 7011,
      "data": {
        "value": 1.0657
      },
      "location": "away"
    },
```

</details>

{% hint style="warning" %}
The availability of xG values is influenced by the speed of data processing. Since xG calculations require match statistics like shots, there may be a delay before xG values become available. Patience is key as relevant match data is processed to generate accurate xG insights.
{% endhint %}

### GET Expected by Player

This endpoint will return all the expected values we offer on a player level. You won't see the expected values per chance, only the full values for each player.&#x20;

```
https://api.sportmonks.com/v3/football/expected/lineups
```

<details>

<summary>Response</summary>

```

  "data": [
    {
      "id": 1064853093,
      "fixture_id": 19076535,
      "player_id": 77908,
      "team_id": 238626,
      "lineup_id": 8076889919,
      "type_id": 5304,
      "data": {
        "value": 0.0295
      }
    },
    {
      "id": 1064853094,
      "fixture_id": 19076535,
      "player_id": 37389571,
      "team_id": 238626,
      "lineup_id": 8076889917,
      "type_id": 5304,
      "data": {
        "value": 0.0496
      }
    },
```

</details>

{% hint style="warning" %}
xG values are continuously calculated and processed throughout the match, with updates occurring every couple of minutes. The maximum time between these updates should not exceed 5 minutes. Stay informed with real-time insights into evolving goal-scoring probabilities. More information on our packages can be found [here](https://www.sportmonks.com/blogs/xg-pricing-explained/).&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/tutorials-and-guides/tutorials/expected/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
